Your message dated Sun, 13 Nov 2016 18:34:08 +0000
with message-id <e1c5zbu-000eq0...@fasolo.debian.org>
and subject line Bug#841558: fixed in node-tap 8.0.0-1
has caused the Debian Bug report #841558,
regarding node-tap: FTBFS: help2man: can't get `--help' info from bin/tap.js
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
841558: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=841558
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: node-tap
Version: 0.7.1-1.1
Severity: serious
Tags: stretch sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20161021 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part (hopefully):
>  debian/rules build
> dh build
>    dh_testdir
>    dh_update_autotools_config
>    dh_auto_configure
>    debian/rules override_dh_auto_build
> make[1]: Entering directory '/<<PKGBUILDDIR>>'
> help2man -N -n "Test-Anything-Protocol module for Node.js" bin/tap.js -o 
> "debian/tap.1"
> help2man: can't get `--help' info from bin/tap.js
> Try `--no-discard-stderr' if option outputs to stderr
> debian/rules:20: recipe for target 'debian/tap.1' failed
> make[1]: *** [debian/tap.1] Error 1

If the failure looks somehow time/timezone related:
Note that this rebuild was performed without the 'tzdata' package
installed in the chroot. tzdata used be (transitively) part of
build-essential, but it no longer is. If this package requires it to
build, it should be added to build-depends. For the release team's
opinion on this, see
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=836940#185

If the failure looks LSB-related:
similarly to tzdata, lsb-base is not installed in the build chroot.

The full build log is available from:
   http://aws-logs.debian.net/2016/10/21/node-tap_0.7.1-1.1_unstable.log

A list of current common problems and possible solutions is available at
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.

--- End Message ---
--- Begin Message ---
Source: node-tap
Source-Version: 8.0.0-1

We believe that the bug you reported is fixed in the latest version of
node-tap, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 841...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jérémy Lal <kapo...@melix.org> (supplier of updated node-tap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 Nov 2016 19:13:51 +0100
Source: node-tap
Binary: node-tap
Architecture: source all
Version: 8.0.0-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers 
<pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jérémy Lal <kapo...@melix.org>
Description:
 node-tap   - Test-Anything-Protocol module for Node.js
Closes: 841558
Changes:
 node-tap (8.0.0-1) unstable; urgency=medium
 .
   * New upstream version 8.0.0
   * Secure Vcs url
   * Standards-Version 3.9.8
   * Copyright: Expat to ISC
   * Copyright for foreground-child
   * Bundle modules from tapjs as patches:
     + foreground-child
     + tap-mocha-reporter
     + clean-yaml-object
     + stack-utils
     + buffer-to-string
   * Remove the need for unavailable dependencies:
     + only-shallow
     + deeper
     + color-support
     + os-homedir
     + bluebird
   * Postpone the need for unavailable dependencies, and Suggests them:
     + coveralls
     + nyc
     + opener
   * Build-Depends: keep only what's needed to get help2man running
   * Fix help2man call (Closes: #841558)
   * Enable test suite in autopkgtest
   * Patch tests for nodejs rename and disable some tests
Checksums-Sha1:
 80f2b1d44502f7e81835fd89553dd70703af0104 2104 node-tap_8.0.0-1.dsc
 0ccca6b628c933c3407504c06159d7e5f2ef29f6 66244 node-tap_8.0.0.orig.tar.gz
 65232669727792673df0abf3d4f711b67ef60b50 28636 node-tap_8.0.0-1.debian.tar.xz
 7443bb88743ed13d26e4504884b9654eb893123d 5089 
node-tap_8.0.0-1_20161113T181443z-19ea63a5.buildinfo
 c0f0a6e82cd3834551fecd6c44530a864ef2f555 43812 node-tap_8.0.0-1_all.deb
Checksums-Sha256:
 057323e42898e12a57eb3db4d449298a84eb140d4095cfa19872d1955c4fcc6d 2104 
node-tap_8.0.0-1.dsc
 798a4c660ddd30caf5523b5ed26639da3e9f61098da3ae24cc32fe7601325a2f 66244 
node-tap_8.0.0.orig.tar.gz
 1873323842a4826d0aa5659fdbac6b0727eff9866c82114c6c20e4bda46dc49d 28636 
node-tap_8.0.0-1.debian.tar.xz
 485282367bdafc6a724f43b23fd98890453767349dee390ab863cf93f5b3741f 5089 
node-tap_8.0.0-1_20161113T181443z-19ea63a5.buildinfo
 854e3a8c749ad863b34f9f03ada4fc13b22b267beab195f26da4ae60b5d0dea6 43812 
node-tap_8.0.0-1_all.deb
Files:
 8afcd73fcc49a9c1a16cc7a8674e913c 2104 web extra node-tap_8.0.0-1.dsc
 61ee64e8b8cf442ddfcde34eab986ac0 66244 web extra node-tap_8.0.0.orig.tar.gz
 7eab07b38f6c08158f372a8927aa3bf0 28636 web extra node-tap_8.0.0-1.debian.tar.xz
 19ea63a55df0d9c4f99920965b56d5bb 5089 web extra 
node-tap_8.0.0-1_20161113T181443z-19ea63a5.buildinfo
 9f6eac6b7e3220a5052ffff722e797cf 43812 web extra node-tap_8.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----

iQJGBAEBCAAwFiEEA8Tnq7iA9SQwbkgVZhHAXt0583QFAlgoreESHGthcG91ZXJA
bWVsaXgub3JnAAoJEGYRwF7dOfN0JSsP+wRw7/OJISBKpkONieSfXtthmlJPw2Y9
KRfkaM/f71ujhk7Rs8zmgq4yRKfgxYWjEt8D7hUNLWiILtKZwjgGJvFPl2XQseUg
CVLOkjtf90v8NM3ge30CB8EwUTHtQn6Tbl5znPQm/y7a3/YEgx+AytC6HSRMZ5/6
uDfgoszWyZct3FZzWRxAEHkTbyjcADICaOTJHHd+ph3OsENedaADiT9NDg3bo1ej
yV1HuV7JmFhXFb2Sb+01vaNulHjraeOO9UqwcLGipnscdfdCPm/d0jOXBBJmjR1z
Tbh/uE5lFIHQJfO7V3FTYB5z3Xusq5yyw4PINIMvdNNd1zOdyGl6EnhbLhkEgYT4
SNyxTyz4YxBlF9PNisINdSy38ta9ApwZTGzqSKZLn+B/abs9RON7Rd4OKXni1K0k
6Uwx7eV+VeNgZiMKm78l8KoXlXt+ILX7EXegyE+KikTAYcruRr3W1Ng9GtGxSKkd
UUKd1OtO5uo3MKRdZVqRO4tBCMvR/kEQmxRHZukEgkGvgj6lT0lJaaswF+nrPp5w
uBntoasU/eRq9/up7SZd0Ig2l42/Sbt+Y+d6x7npSGXqjUNlhmkimPHQYlE+LTg8
k3pEErGW1eqOGl90lDlamIcZFJOKc91umlZ3kQrKWaMwHhlHYtGRgLOFGpz1Po5J
z1Yjpey7XNCD
=d9Pm
-----END PGP SIGNATURE-----

--- End Message ---
-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to